#ifndef GUI_COMPONENTS_FLOWTEXT_IMAGE_H
#define GUI_COMPONENTS_FLOWTEXT_IMAGE_H

#include <string>
#include "../../display/simimg.h"
#include "../../tpl/hashtable_tpl.h"
#include "../../tpl/stringhashtable_tpl.h"

class gui_flowtext_image_t {
public:
	gui_flowtext_image_t(std::string filePath);
	gui_flowtext_image_t();

	image_id get_image_id();
	std::string get_image_name();
private:
	image_id	_image_id;
	std::string	_image_name;
	static hashtable_tpl<const char *,image_id,stringhash_t> *_images;
};

#endif
